package com.bocloud.nms.model.veeam.job;

public class PrimaryStorageIntegrationSettingsModel {

    private boolean isEnabled;
    private boolean limitProcessedVm;
    private Integer limitProcessedVmCount;
    private boolean failoverToStandardBackup;

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public boolean isLimitProcessedVm() {
        return limitProcessedVm;
    }

    public void setLimitProcessedVm(boolean limitProcessedVm) {
        this.limitProcessedVm = limitProcessedVm;
    }

    public Integer getLimitProcessedVmCount() {
        return limitProcessedVmCount;
    }

    public void setLimitProcessedVmCount(Integer limitProcessedVmCount) {
        this.limitProcessedVmCount = limitProcessedVmCount;
    }

    public boolean isFailoverToStandardBackup() {
        return failoverToStandardBackup;
    }

    public void setFailoverToStandardBackup(boolean failoverToStandardBackup) {
        this.failoverToStandardBackup = failoverToStandardBackup;
    }

    @Override public String toString() {
        return "PrimaryStorageIntegrationSettingsModel{" + "isEnabled=" + isEnabled + ", limitProcessedVm="
            + limitProcessedVm + ", limitProcessedVmCount=" + limitProcessedVmCount + ", failoverToStandardBackup="
            + failoverToStandardBackup + '}';
    }
}
